<?php

use Concrete\Core\Support\Facade\Application;
defined('C5_EXECUTE') or die('Access Denied.');


/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
$app = Application::getFacadeApplication();
$form = $app->make('helper/form');
?>
<div id="table_filter_container" class="form-group">
    <div class="input-group">
        <?php
        echo $form->text('table_filter','',['placeholder'=>'search']);
        ?>
        <a class="input-group-addon input-group-text" href="#clear_filter" title="<?php echo t('Clear Filter');?>">x</a>
    </div>

</div>
<script type="text/javascript">
(function ($) {
    $(document).ready(function () {
        var filter_container = $('#table_filter_container');
        var filter_input = filter_container.find('input');
        /*
         * Table rows we could filter on, just the top level
         */
        var filtering_rows = filter_container.closest('.ccm-pane-body').find('tr').filter(
            function(ix,el){
                return !$(el).parents('tr').length;
            }
        );
        /*
         * H2 sections, where we have many headed tables
         */
        var filtering_sections = filter_container.closest('.ccm-pane-body').find('div>h2').filter(
            function(ix,el){
                var candidate = $(el).parent('div');
                if(!candidate.length){
                    return false;
                }
                return candidate.children('h2').length>2
            }
        );

        filter_input.on('change keyup unfocus', function (ev) {
            ev.preventDefault();
            ev.stopPropagation();
            var filter=$.trim($(this).val()+'').toLowerCase();
            if(!filter || filter.length<2){
                filtering_rows.show();
                filtering_sections.show();
            }else{
                filtering_rows.each(function(ix,el){
                    var this_row = $(this);
                    var this_text = $.trim($(this).text()+'').toLowerCase();
                    if(this_text.search(filter)>=0){
                        //console.log('Showing: '+this_text);
                        this_row.show();
                    }else{
                        //console.log('Hiding: '+this_text);
                        this_row.hide();
                    }
                });
                if(filtering_sections.length>1){
                    filtering_sections.each(function(ix,el){
                        var this_section = $(this);
                        var adjacent_table_rows = $(this).nextUntil('h2').children('tbody').children('tr');
                        if(adjacent_table_rows.filter(':visible').length>0){
                            this_section.show();
                        }else{
                            this_section.hide();
                        }
                    });
                }
            }

        });
        filter_container.find('[href="#clear_filter"]').on('click', function (ev) {
            ev.preventDefault();
            ev.stopPropagation();
            filter_input.val('');
            filtering_rows.show();
            filtering_sections.show();
        });
    });
})(jQuery);
</script>

