<?php
defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Support\Facade\Application;
use JlInfo\RecursiveTable;

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */
$form = $app->make('helper/form');
$interface = $app->make('helper/concrete/ui');

$selected_info_class = 'elephant-'.trim(preg_replace("/[^0-9a-z]+/i",'_',trim(strtolower($selected_constant_group))),'_');

if (version_compare(Config::get('concrete.version'), '9.0', 'ge')) {
    $header_extra_class = 'elephant-v9-header';
    View::element('v9_header_setup',
                  [
                      // parameters
                      'controller' => $controller,
                      'app'        => $app
                  ],
                  'jl_elephpant_info');
} else {
    $header_extra_class = 'ccm-dashboard-header-buttons';
}
?>
<div class="<?php echo h($header_extra_class); ?> <?php echo h($selected_info_class); ?>">
    <div class="pull-right float-end constants_header_menu">
        <form method="post" id="constants_info_form" action="<?php echo $this->action('view') ?>">
            <button type="button" class="btn btn-primary constants_info_menu" data-toggle="dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo t('Menu'); ?> <i
                        class="fa fas fa-bars"></i>
            </button>
            <ul class="dropdown-menu dropdown-menu-end dropdown-menu-right">
                <?php
                foreach ($poss_info_cats as $ky => $val) {
                    if ($ky == 'JTF_SUPPORT') {
                        ?>
                        <li class="info_first_extra">
                            <?php
                            echo $interface->submit($val, $ky, 'left', 'btn-link');
                            ?>
                        </li>
                        <?php
                    } elseif ($ky === $selected_constant_group) {
                        ?>
                        <li class="active">
                            <?php
                            echo $interface->submit($val, $ky, 'left', 'btn-link');
                            ?>
                        </li>
                        <?php
                    } else {
                        ?>
                        <li>
                            <?php
                            echo $interface->submit($val, $ky, 'left', 'btn-link');
                            ?>
                        </li>
                        <?php
                    }
                }
                View::element('common_nav', ['controller' => $controller, 'app' => $app], 'jl_elephpant_info');
                ?>
            </ul>
    </div>
    </form>
</div>
<div id="constants_info_body" class="ccm-pane-body  <?php echo h($selected_info_class); ?>">
    <div class="info_as_html">
        <?php
        if ($selected_constant_group !== 'JTF_SUPPORT') {
            ?>
            <div class="alert alert-info">
                <?php
                echo $c->getCollectionDescription();
                ?>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <h2>
                        <?php
                        echo $poss_info_cats[$selected_constant_group];
                        ?>
                    </h2>
                </div>
                <div class="col-sm-6">
                    <?php
                    View::element('table_filter',
                                  [
                                      // parameters
                                      'controller' => $controller,
                                      'app'        => $app
                                  ],
                                  'jl_elephpant_info');
                    ?>
                </div>
            </div>

            <?php
            if(is_array($selected_group_constants)){
                $rt = new RecursiveTable();
                $rt->table($selected_group_constants);
            }else if(is_scalar($selected_group_constants)){
                $rt = new RecursiveTable();
                $rt->table([$selected_constant_group=>$selected_group_constants]);
            }
        } else {
            ?>
            <h2>
                <?php echo t('Addon Support'); ?>
            </h2>
            <?php
            View::element('support_dialog',
                //
                          [
                              // parameters
                              'controller'   => $controller,
                              'pkg_handle'   => 'jl_elephpant_info',
                              'c5handle'     => 'ele-php-ant-info',
                              'magic_handle' => 'php_info'
                          ],
                          'jl_elephpant_info');
        }
        ?>
    </div>
</div>


